package gateway

import (
	"context"
	"errors"

	"git.loafle.net/commons_go/rpc"
)

type ServerHandlers struct {
	rpc.ServerHandlers
}

func (sh *ServerHandlers) Invoke(ctx context.Context, method string, params []string) (result interface{}, err error) {

	return nil, errors.New("Server: Handler method[Invoke] of Server is not implement")
}

func (sh *ServerHandlers) Validate() {
	sh.ServerHandlers.Validate()
}
